Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.util
Class LongHashMap<V>

    java.lang.Object
      de.grogra.xl.util.LongHashMap<V>

All Implemented Interfaces:
  java.lang.Iterable<LongHashMap.Entry<V>>

    public class LongHashMap<V>

extends java.lang.Object
implements java.lang.Iterable<LongHashMap.Entry<V>>

Nested Class Summary
`static class` | `LongHashMap.Entry<V>`

Constructor Summary
`LongHashMap()`
`LongHashMap(int capacity)`
`LongHashMap(int capacity, float loadFactor)`

Method Summary
`void` | `add(long key, V value)`
`void` | `clear()`
`boolean` | `containsKey(long key)`
`V` | `get(long key)`
`java.lang.Object` | `get(long key, java.lang.Object defaultValue)`
`LongHashMap.Entry` | `getEntry(long key)`
`boolean` | `isEmpty()`
`java.util.Iterator<LongHashMap.Entry<V>>` | `iterator()`
`V` | `put(long key, V value)`
`V` | `remove(long key)`
`void` | `remove(LongHashMap.Entry<V> entry)`
`V` | `remove(long key, V value)`
`void` | `removeAll(long key)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongHashMap

    public LongHashMap()

### LongHashMap

    public LongHashMap(int capacity)

### LongHashMap

    public LongHashMap(int capacity,
                       float loadFactor)

Method Detail

### add

    public void add(long key,
                    V value)

### clear

    public void clear()

### containsKey

    public boolean containsKey(long key)

### get

    public V get(long key)

### get

    public java.lang.Object get(long key,
                                java.lang.Object defaultValue)

### getEntry

    public LongHashMap.Entry getEntry(long key)

### isEmpty

    public boolean isEmpty()

### iterator

    public java.util.Iterator<LongHashMap.Entry<V>> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<LongHashMap.Entry<V>>`

### put

    public V put(long key,
                 V value)

### remove

    public V remove(long key)

### remove

    public void remove(LongHashMap.Entry<V> entry)

### remove

    public V remove(long key,
                    V value)

### removeAll

    public void removeAll(long key)

### size

    public int size()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD